# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::A3DSObject Class Reference

The A3DSObject class represents an object in a 3DS file. More...

`#include <vl3DS.hpp>`

List of all members.

## Public Attributes

String | mMaterialName
std::vector< A3DSVertex > | mVertices
std::vector< A3DSTriFace > | mFaceList
std::vector < A3DSMaterialFaceMapping > | mMatFaceMap
fmat4 | mCoordSystem
fvec3 | mPivotPoint

## Detailed Description

The A3DSObject class represents an object in a 3DS file.

## Member Data Documentation

String vl::A3DSObject::mMaterialName

std::vector<A3DSVertex> vl::A3DSObject::mVertices

std::vector<A3DSTriFace> vl::A3DSObject::mFaceList

std::vector<A3DSMaterialFaceMapping> vl::A3DSObject::mMatFaceMap

fmat4 vl::A3DSObject::mCoordSystem

fvec3 vl::A3DSObject::mPivotPoint

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vl3DS.hpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:46 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.